# &amarok;-håndbogen

Mike
Diehl

    madpenguin8@yahoo.com

amaroK's udviklingshold
Udviklere

&erik.kjaer.pedersen.role;
2005
amaroK's udviklingshold
&FDLNotice;
2005-01-02
2.1

&amarok; er en mediespiller for K-desktopmiljøet.

KDE
multimedie
spiller
lyd
ogg
MP3
wav
musik
lyd

## Indledning

Logo

&amarok; er lydafspilleren for &kde;. &amarok; er en fuldtudstyre lydafspiller der både er kraftig og nem at bruge.

Finder du ofte digselv fanget hvor du skal søge gennem endeløse menuer blot for at tilføje noget musik til din spilleliste? Med &amarok; kan du simpelthen trække og slippe musikken hen på spillelisten. Møske leder du blot efter en sang blandt de tusinder der er i din samling. &amarok;'s browser med dens søgelinje vil hjælpe dig med at finde den sang på et par sekunder.

Så det ser ud som om &amarok; har de samme gamle funktioner som i en gennemsnitlig lydafspiller, men vi standsede ikke der. Et kig i sammenhængs-browseren og du vil se hvorfor &amarok; er et skridt foran resten. Sammenhængs-browseren har en database der kompileres langs afsted for at give dig en konstant opdateret statistik om din spilleliste. Sammenhængs-browseren kan også vise de albummers forsidebillede du har hvilket gør den ikke blot informativ men også morsom at kigge på.

Har du allerede mange spillelister, men du kan ikke beslutte dig til hvilken du skal bruge? Så er spilleliste-browseren noget for dig. Indlæsning af dine gemte spillelister i spilleliste-browseren er så nemt som et enkelt tastetryk.

Foruden aRts, understøtter &amarok; også GStreamer, NMM, og xine lydserverne hvilket gør den til den mest avancerede lydafspiller der findes for &kde;. &amarok; er smart, den er sexet, den er klog. Prøv den idag.

&amarok-quick;

&amarok-config;

&amarok-using;

&amarok-advanced;

&amarok-faq;

## Medvirkende og licens

Program ophavsret 2003-2004 Mark Kretschmann markey@web.de og AmaroK-holdet

### AmaroK-holdet

- Christian babe-magnet Muehlhaeuser chris@chris.de

- Frederik jeg er ikke tysk. Holljen fh@ez.no

- Mark det er godt, men det er ikke irssi Kretschmann markey@web.de

- Max Turtle-Power Howell max.howell@methylblue.com

- Mike lille er ikke tøset! Diehl madpenguin8@yahoo.com

- Pierpaolo Spaghetti Coder Di Panfilopippo_dp@libero.it

- Roman og gud sagde, lad der være Mac Becker roman@formmorf.de

- Stanislav var der nogen der sagde DCOP? Karchebny Stanislav.Karchebny@kdemail.net

- Stefan MacroMolecularMooModeler Bogner bochi@online.ms

### Bidragydere:

- Adam Pigg (analysatorer, rettelser) adam@piggz.fsnet.co.uk

- Adeodato Simo (fejlrettelser) asp16@alu.ua.es

- Andreas Mair (støtte for MySql) am_ml@linogate.com

- Dan Leinir Turthra Jensen (førstekørselsguide) admin@removeleinir.dk

- Enrico Ros (analysatorer, konge af openGL) eros.kde@email.it

- Jarkko Lehti (test) grue@iki.fi

- Josef Spillner (KDE RadioStationskode) spillner@kde.org

- Kenneth Wesley Wimer II (ikoner) kwwii@bootsplash.org

- Melchior Franz (ny FFT-rutine, fejlrettelser) mfranz@kde.org

- Michael Pyne (K3B eksportkode) michael.pyne@kdemail.net

- Nenad Grujicic (opstartskærm for 1.1) mchitman@neobee.net

- Olivier Bédard (netstedsvært) paleo@pwsp.net

- Roland Gigler (MAS-motor) michael.pyne@kdemail.net

- Sami Nieminen (støtte for Audioscrobbler) sami.nieminen@iki.fi

- Scott Wheeler (TagLib) wheeler@kde.org

- Seb Ruiz (OSD forbedringer, rettelser, test) seb100@optusnet.com.au

- Whitehawk Stormchaser (test, programrettelser) zerokode@gmx.net

Documentation ophavsret 2004 Mike Diehl madpenguin8@yahoo.com

&underFDL; &underGPL;

&amarok-req;

## Installation

### Hvordan får man fat i &amarok;

&amarok; kan hentes fra &amarok;s hjemmeside

Den seneste udviklingsversion kan skaffes fra &kde; CVS-modulet kdeextragear-1.

#### Hvordan kompileres &amarok;

For at kompilere og installere amaroK på dit system, skrives følgende i basismappen for din amaroK-distribution:

`./configure --prefix=`kde-config --prefix``

`make`

`su -c "make install"`

Flaget --enable-final for configure er ikke længere understøttet.

Idet &amarok; bruger autoconf og automake skulle du ikke have porblemer med at kompilere den. Skulledu løbe ind i problemer så rapportér dem venligst til &kde;'s e-mail-lister.

#### Indstillingstilvalg

&amarok; ligner mange andre programmer i den henseende at det har flere valgfrie funktioner ved kompilering som kan aktiveres eller deaktiveres under konfigureringen. Dette er en liste over funktionerne som kan konfigureres.

Visse kompileringsfunktioner kræver at særlige afhængigheder er opfyldte. Se afsnittet om krav for mere detaljeret information.

Flag | Standard | Beskrivelse
--- | --- | ---
--enable-debug= | no | Aktiverer fejlsøgningssymboler. Vælg enten yes (ja), no (nej) eller full (fuldstændig). Brug flaget full hvis du har til hensigt at hjælpe til med udvikling af &amarok;.
--enable-mysql | Deaktiveret | Aktiverer understøttelse for MySql database i &amarok;
--disable-amazon | Aktiveret | Deaktiverer støtte for at hente omslagsbilleder fra Amazon i &amarok;
--without-arts | Med | Deaktiverer støtte for aRts i &amarok;
--without-gstreamer | Med | Deaktiverer støtte for Gstreamer i &amarok;
--without-xine | Med | Deaktiverer støtte for Xine i &amarok;
--with-nmm | Uden | Aktiverer støtte for NMM i &amarok;
--with-mas | Uden | Aktiverer støtte for MAS i &amarok;
--without-opengl | Med | Deaktiverer støtte for OpenGL (analysatorer) i &amarok;
--without-included-sqlite | Med | Brug ikke den inkluderede kildekode for sqlite (kræver at sqlite er installeret)

&documentation.index;